Complexity:
Subject: Implement redirect to action
Description

The Abstract Controller currently provides a method "redirect" which allows for redirecting to a specified URI. The more common
requirement however is to redirect to a certain action / controller / package. Therefore redirect() should take the same (or at least
similar) arguments like forward() and an additional method redirectToURI() should be implemented.

Associated revisions
Revision 7eefaecb - 2009-03-26 23:25 - Karsten Dambekalns
FLOW3:
    -  renamed redirect() to redirectToURI() in AbstractController
    -  implemented redirect() to behave like forward(), fixes #2816
    -  arguments to MVC requests are arrays now, no longer ArrayObject

Revision f802c0e4 - 2009-03-27 18:28 - Robert Lemke

    -  FLOW3: (MVC) Added 'delay' and 'statusCode' as arguments for the new redirect() action. Relates to #2816
    -  Fluid: Quickfix for the FormViewHelper so it at least doesn't cause fatal exceptions.

History
#1 - 2009-03-26 21:51 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have

Won at T3BOARD09 bug auction by network publishing

#2 - 2009-03-26 21:57 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#3 - 2009-03-27 00:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2094.
